import { usePagination } from "@/lib/hooks";
import { PropsWithChildren, createContext } from "react";

export interface ICatalogContextState {}

export const CatalogContext = createContext<ICatalogContextState | null>(null);

export const CatalogProvider = ({ children }: PropsWithChildren) => {
  const [pagination, setPagination] = usePagination();

  return (
    <CatalogContext.Provider
      value={{
        pagination,
        setPagination,
      }}
    >
      {children}
    </CatalogContext.Provider>
  );
};
